# Class OutlineLevel

#### Hierarchy

- XmlComponent
  - OutlineLevel

- Defined in file/paragraph/links/outline-level.ts:4

#####
Index

### Constructors

constructor

### Properties

level

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new OutlineLevel(level): OutlineLevel

- #### Parameters

  - ##### level: number

  #### Returns OutlineLevel

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/links/outline-level.ts:5

## Properties

### `Readonly` level

level: number

- Defined in file/paragraph/links/outline-level.ts:5

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc